html{
    height: 100%;
}

body {
    padding: 0;
    margin: 0;
    max-height: 100%;
    height: 100%;
    width: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
    background-color: rgb(8, 8, 8);
    overflow: hidden;
    z-index: 0;       
}

body::before {
    content: "";
    position: absolute;   
    inset: 0;           

    background-image: url('./bagkround.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

    opacity: 0.1;
    z-index: -1;        
    pointer-events: none;
}

p {
    font-family: "Major Mono Display", monospace;
    font-weight: 400;
    font-style: normal;
}

#playby {
    order: 2;
    max-height: 100vh;
    max-width: 100%;
    height: 100%;
    width: auto;
    object-fit: contain;
    animation: playbyFade 3s ease 0s 1 normal forwards;
}

@keyframes playbyFade {
    from {
        opacity: 0;
        transform: translateX(10%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}


#content {
    flex: 1;
    order: 1;
    padding: 50px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: fit-content;
    animation: contentFade 3s ease 0s 1 normal forwards;
}


@keyframes contentFade {
    from {
        opacity: 0;
        transform: translateX(-10%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

#container {
    position: relative;
    margin: 0 auto; /* center container */
    display: flex;
    flex-direction: column; /* title on top, name below */
    align-items: center;
    transform-origin: center;
    margin-bottom: -22vw;
}



#name {
    display: block;
    margin: 0 auto;
    position:relative;
    width: 30vw; /* scales with viewport width */
    z-index: 2;
    scale: 1.2;
    transform: translateY(0vh) scale(1); /* optional vertical offset */

}

#card {
    display: absolute;
    opacity: 0;
    width: 30vw; /* same as #name */
    position: relative;
    scale:0.6;
    top:-18.5vw;
    z-index: 1;
    animation: cardAppear 3s ease 2.5s 1 normal forwards;
}


@keyframes cardAppear {
    0% {
      transform: translateY(30%);
    }

    100% {
        opacity: 1;
        transform: translateY(-5%);
    }
    
}

